module eudev_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libudev
const libudev_path = "/usr/lib/libudev.so.1"
libudev_handle = C_NULL
const libudev = "libudev.so.1"
export udevadm
const udevadm_path = "/usr/bin/udevadm"
udevadm(f::Function; kw...) = f(udevadm_path)
udevadm(; kw...) = Cmd([udevadm_path])
export udevd
const udevd_path = "/usr/lib/systemd/systemd-udevd"
udevd(f::Function; kw...) = f(udevd_path)
udevd(; kw...) = Cmd([udevd_path])
function __init__()
    global libudev_handle = dlopen(libudev_path)
end
end
